
//#include "StdAfx.h"
#include "Arc.h"
#include <cstdlib> 
#include <ctime> 
#define _USE_MATH_DEFINES
#include<math.h>

Arc::Arc(void)
{
}
Arc::Arc(Neuron &new_pre, Neuron &new_post)
{
	pre = new_pre;
	post = new_post;
	lastchange = 0.0;
	
	//printf("%i.%i ", pre.layer, pre.id);
	//printf("%i.%i \n", post.layer, post.id);

	double r1 = (double)rand()/RAND_MAX;
	double r2 = (double)rand()/RAND_MAX;
	
	double random = 0.5*sqrt(-2*log(r1))*cos(2*M_PI*r2);
	
	weight = random; // normally distributed around 0,1
	//weight = 1;
	//printf("%f \n", random);
}
Arc::~Arc(void)
{
}
Neuron Arc::getPre()
{
	return pre;
}
Neuron Arc::getPost()
{
	return post;
}
double Arc::getWeight()
{
	return weight;
}
void Arc::setWeight(double d)
{
	weight = d;
}
void Arc::setLastChange(double d)
{
	lastchange = d;
}
double Arc::getLastChange()
{
	return lastchange;
}