#pragma once
#include "Layer.h"
#include "Link.h"
#include <list>
#include <vector>

using namespace std;
class Network
{
	int numLayers;
	int *numNeurons;

public:
	vector<Layer> layers;
	vector<Link> links;
	Network(int New_numLayers, int *New_numNeurons);
	~Network(void);
	void activate(vector<double> inputs, int numInputs);
	vector<Layer> getLayers();
	void backProp(vector<double> input, vector<double> output, int numEx, double alpha, double beta);
	void backProp(double beta);
	vector<double> getResults();
	vector< vector<double> > getWeights();
	void changeWeights(vector<double> new_weights);
};
