#pragma once
#include "chromosome.h"
#include <vector>
#include <list>
#define _USE_MATH_DEFINES
#include<math.h>
class Population
{
	public:
	vector<chromosome> individuals;

	Population(int popSize, vector<double> seed);
	Population(int popSize, vector< vector<double> > seeds);
	Population(int popSize, int genesize, double mean, double deviation);
	~Population(void);
	void setFitness(vector<double> new_fitness);
	void newGeneration(double mutprob, double mean, double deviation, double elitism, int gencount);
	vector<chromosome> crossOver(int new_pop_size);
	vector<chromosome> crossOverESP(int new_pop_size, int hiddenlayer, int inputs, int outputs, int gencount);
	void newGenerationNoCross(double mutprob, double mean, double deviation, double percentage);
	chromosome getIndividual(int index);
	double getPopulationFitness();
	chromosome getBest();
};
