#pragma once
#include "Layer.h"
#include "Arc.h"
#include <vector>
#include <cstdlib> 
#include <ctime> 
using namespace std;

class Link
{

public:
	Layer pre, post;
	vector<Arc> arcs;
	Link(void);
	Link(Layer &new_pre, Layer &new_post);
	~Link(void);
	void activate();
	Layer getPreLayer();
	void backPropagate(double beta);
	vector<double> getWeightsFrom(Neuron from);
	void setPostDeltas(vector<double> deltas);
};
