#include "StdAfx.h"
#include "Neuron.h"

Neuron::Neuron(void)
{
}
Neuron::Neuron(int layern, int new_id, double new_activation)
{	
	layer = layern;
	id = new_id;
	input = 0.0;
	activation = new_activation;
}
Neuron::~Neuron(void)
{
}
void Neuron::activate()
{
	/*if(input > 0)
	{
		activation = 1;
	}
	else
	{
		activation = 0;
	}*/
	activation = (1 / (double)(1+exp(-input)));
	//printf("activation: %f \n", activation);
	//input = 0.0;
}
void Neuron::setInput(double new_input)
{
	input = new_input;
}
void Neuron::addInput(double new_input)
{
	input += new_input;
}
double Neuron::getActivation()
{
	return activation;
}
double Neuron::getInput()
{
	return input;
}
void Neuron::setActivation(double act)
{
	activation = act;
}
void Neuron::setDelta(double new_delta)
{
	delta = new_delta;
}
double Neuron::getDelta()
{
	return delta;
}